Create a transaction
curl --request POST \
--url https://api.artu.ai/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"amount": 123,
"currency": "<string>",
"relatedClientIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"scopes": [],
"status": "not_applicable",
"exchangeRates": {},
"externalId": "<string>",
"description": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"AVI": {
"operationType": "<unknown>",
"hash": "<string>",
"cryptoCurrency": "<string>",
"cryptoAmount": 1
},
"JYS": {
"branchInformation": {
"type": "<unknown>",
"postalCode": "<string>"
},
"settlementType": "<unknown>"
}
},
"cnbv": {}
},
"US": "<unknown>"
}
}
'{
"relatedClientIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"scopes": [],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isAlerted": true,
"alertedAt": "2023-11-07T05:31:56Z",
"status": "not_applicable",
"amount": "<unknown>",
"currency": "<unknown>",
"exchangeRates": {},
"externalId": "<string>",
"description": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"ARI": {
"property": {
"leaseStartDate": "2023-12-25",
"leaseEndDate": "2023-12-25",
"colonia": "<string>",
"calle": "<string>",
"numeroExterior": "<string>",
"postalCode": "<string>",
"folioReal": "<string>",
"value": "<unknown>",
"numeroInterior": "<string>"
},
"payments": [
{
"currency": "<string>",
"paymentDate": "2023-12-25",
"amount": "<unknown>"
}
],
"operationType": "1501"
},
"AVI": {
"operationType": "<unknown>",
"cryptoCurrency": "<string>",
"hash": "<unknown>",
"cryptoAmount": "<unknown>"
},
"INM": {
"inmuebles": [
{
"colonia": "<string>",
"calle": "<string>",
"numeroExterior": "<string>",
"postalCode": "<string>",
"folioReal": "<string>",
"value": "<unknown>",
"numeroInterior": "<string>",
"dimensionTerreno": "<unknown>",
"dimensionConstruido": "<unknown>"
}
],
"contract": {
"type": "<unknown>",
"instrumentNumber": "<string>",
"instrumentDate": "2023-12-25",
"notaryNumber": "<string>",
"cadastralValue": "<unknown>"
},
"operationType": "501",
"payments": [
{
"currency": "<string>",
"paymentDate": "2023-12-25",
"amount": "<unknown>"
}
]
},
"JYS": {
"branchInformation": {
"type": "<unknown>",
"postalCode": "<string>"
},
"settlementType": "<unknown>"
},
"MJR": {
"operationPostalCode": "<string>",
"goods": [
{
"quantity": "<unknown>"
}
],
"payments": [
{
"currency": "<string>",
"paymentDate": "2023-12-25",
"amount": "<unknown>"
}
],
"operationType": "601"
},
"MPC": {
"postalCode": "<string>",
"disbursements": [
{
"currency": "<string>",
"disbursementDate": "2023-12-25",
"amount": "<unknown>"
}
],
"collateral": [
{
"bienMutuo": {
"kind": "<unknown>",
"valorReferencia": "<string>",
"postalCode": "<string>",
"folioReal": "<string>"
},
"guarantorClientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"TSC": {
"idNumber": "<string>",
"operationType": "211"
},
"VEH": {
"postalCode": "<string>",
"vehicles": [
{
"kind": "<unknown>",
"marcaFabricante": "<string>",
"modelo": "<string>",
"anio": "<string>",
"vin": "<string>",
"repuve": "<string>",
"placas": "<string>"
}
],
"operationDate": "2023-12-25",
"payments": [
{
"currency": "<string>",
"paymentDate": "2023-12-25",
"amount": "<unknown>"
}
]
}
},
"cnbv": {
"TRANSMISOR": {
"sucursal": "<string>"
}
}
},
"US": "<unknown>"
},
"relatedClients": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
],
"riskAssessments": {},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
]
}Transactions
Create a transaction
POST
/
transactions
Create a transaction
curl --request POST \
--url https://api.artu.ai/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"amount": 123,
"currency": "<string>",
"relatedClientIds": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"scopes": [],
"status": "not_applicable",
"exchangeRates": {},
"externalId": "<string>",
"description": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"AVI": {
"operationType": "<unknown>",
"hash": "<string>",
"cryptoCurrency": "<string>",
"cryptoAmount": 1
},
"JYS": {
"branchInformation": {
"type": "<unknown>",
"postalCode": "<string>"
},
"settlementType": "<unknown>"
}
},
"cnbv": {}
},
"US": "<unknown>"
}
}
'{
"relatedClientIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"scopes": [],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isAlerted": true,
"alertedAt": "2023-11-07T05:31:56Z",
"status": "not_applicable",
"amount": "<unknown>",
"currency": "<unknown>",
"exchangeRates": {},
"externalId": "<string>",
"description": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"ARI": {
"property": {
"leaseStartDate": "2023-12-25",
"leaseEndDate": "2023-12-25",
"colonia": "<string>",
"calle": "<string>",
"numeroExterior": "<string>",
"postalCode": "<string>",
"folioReal": "<string>",
"value": "<unknown>",
"numeroInterior": "<string>"
},
"payments": [
{
"currency": "<string>",
"paymentDate": "2023-12-25",
"amount": "<unknown>"
}
],
"operationType": "1501"
},
"AVI": {
"operationType": "<unknown>",
"cryptoCurrency": "<string>",
"hash": "<unknown>",
"cryptoAmount": "<unknown>"
},
"INM": {
"inmuebles": [
{
"colonia": "<string>",
"calle": "<string>",
"numeroExterior": "<string>",
"postalCode": "<string>",
"folioReal": "<string>",
"value": "<unknown>",
"numeroInterior": "<string>",
"dimensionTerreno": "<unknown>",
"dimensionConstruido": "<unknown>"
}
],
"contract": {
"type": "<unknown>",
"instrumentNumber": "<string>",
"instrumentDate": "2023-12-25",
"notaryNumber": "<string>",
"cadastralValue": "<unknown>"
},
"operationType": "501",
"payments": [
{
"currency": "<string>",
"paymentDate": "2023-12-25",
"amount": "<unknown>"
}
]
},
"JYS": {
"branchInformation": {
"type": "<unknown>",
"postalCode": "<string>"
},
"settlementType": "<unknown>"
},
"MJR": {
"operationPostalCode": "<string>",
"goods": [
{
"quantity": "<unknown>"
}
],
"payments": [
{
"currency": "<string>",
"paymentDate": "2023-12-25",
"amount": "<unknown>"
}
],
"operationType": "601"
},
"MPC": {
"postalCode": "<string>",
"disbursements": [
{
"currency": "<string>",
"disbursementDate": "2023-12-25",
"amount": "<unknown>"
}
],
"collateral": [
{
"bienMutuo": {
"kind": "<unknown>",
"valorReferencia": "<string>",
"postalCode": "<string>",
"folioReal": "<string>"
},
"guarantorClientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"TSC": {
"idNumber": "<string>",
"operationType": "211"
},
"VEH": {
"postalCode": "<string>",
"vehicles": [
{
"kind": "<unknown>",
"marcaFabricante": "<string>",
"modelo": "<string>",
"anio": "<string>",
"vin": "<string>",
"repuve": "<string>",
"placas": "<string>"
}
],
"operationDate": "2023-12-25",
"payments": [
{
"currency": "<string>",
"paymentDate": "2023-12-25",
"amount": "<unknown>"
}
]
}
},
"cnbv": {
"TRANSMISOR": {
"sucursal": "<string>"
}
}
},
"US": "<unknown>"
},
"relatedClients": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
],
"riskAssessments": {},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
]
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Body
application/json
Amount
Currency
Related Clients
Timestamp
Minimum array length:
1Available options:
base, MX:AV, MX:AV:ARI, MX:AV:AVI, MX:AV:INM, MX:AV:JYS, MX:AV:MJR, MX:AV:MPC, MX:AV:TSC, MX:AV:VEH, MX:CNBV, MX:CNBV:TRANSMISOR, MX Status
Available options:
not_applicable, pending, completed, failed, cancelled Exchange Rates
Show child attributes
Show child attributes
External ID
Description
Product ID
Metadata
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
200 - application/json
OK
Available options:
base, MX:AV, MX:AV:ARI, MX:AV:AVI, MX:AV:INM, MX:AV:JYS, MX:AV:MJR, MX:AV:MPC, MX:AV:TSC, MX:AV:VEH, MX:CNBV, MX:CNBV:TRANSMISOR, MX Status
Available options:
not_applicable, pending, completed, failed, cancelled Amount
Currency
Exchange Rates
Show child attributes
Show child attributes
External ID
Description
Metadata
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
